Bug 58227 - ls output isn't colored by default for zsh
Summary: ls output isn't colored by default for zsh
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-11 06:08 UTC by Jens Petersen
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-11 06:08:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2002-01-11 06:08:31 UTC
Description of Problem:
ls --color not default for zsh

How Reproducible:
always

Steps to Reproduce:
In a login zsh:
% ls 

Actual Results:
Files are not coloured

Expected Results:
Files should be coloured like they are for bash.

Additional Information:
The grep in /etc/profile.d/colorls.sh only tests for bash.  It should test
for zsh too.

Comment 1 Bernhard Rosenkraenzer 2002-01-17 12:19:42 UTC
True, done in 4.1.5-1.

Comment 2 Alexei Podtelezhnikov 2002-01-18 02:25:59 UTC
If you do the same for tcsh and others, you might as well close the bug 54309


Note You need to log in before you can comment on or make changes to this bug.